Public Class FrmTest
    Private Sub btnCrear_Click(sender As Object, e As EventArgs) Handles btnCrear.Click
        Dim conexion As New Conexion(conexionLocal)
        Dim usuarioCrear As New ClsUsuariosCrear(conexion)
        Dim mensajeError As String = ""

        Dim argumentoEntrada As New UsuariosCrearArgumentos() With {
            .NumeroLegal = "1",
            .Password = "Password",
            .Rol = 2,
            .Nombre = "Nombre",
            .Apellidos = "Apellidos",
            .IdEmpresa = 1,
            .InicioContrato = Now,
            .FinContrato = Now,
            .MailPersonal = "MailPersonal",
            .MailCorporativo = "MailCorporativo",
            .MovilPersonal = "MovilPersonal",
            .MovilCorporativo = "MovilCorporativo"}

        If usuarioCrear.Crear(argumentoEntrada, mensajeError) Then
            MsgBox("operación exitosa")
        Else
            MsgBox(mensajeError)
        End If
    End Sub

    Private Sub btnModificar_Click(sender As Object, e As EventArgs) Handles btnModificar.Click
        Dim conexion As New Conexion(conexionLocal)
        Dim usuarioModificar As New ClsUsuariosModificar(conexion)
        Dim mensajeError As String = ""

        Dim argumentoEntrada As New UsuariosModificarArgumentos() With {
            .Id = 1,
            .NumeroLegal = "1",
            .Password = "PasswordEditar",
            .Rol = 2,
            .Nombre = "Nombre",
            .Apellidos = "Apellidos",
            .IdEmpresa = 1,
            .InicioContrato = Now,
            .FinContrato = Now,
            .MailPersonal = "MailPersonalEditar",
            .MailCorporativo = "MailCorporativo",
            .MovilPersonal = "MovilPersonal",
            .MovilCorporativo = "MovilCorporativo"}

        If usuarioModificar.Modificar(argumentoEntrada, mensajeError) Then
            MsgBox("operación exitosa")
        Else
            MsgBox(mensajeError)
        End If
    End Sub

End Class